version: '3'
services:
  app:
    build: .
    container_name: ltcrmprospectsapp
    volumes:
      - ./app:/var/www/html
    ports:
      - 8082:80
    environment:
      - APP_ENV=local
      - APP_DEBUG=true
    networks:
      - ltcrmprospects
    depends_on:
      - db    

  db:
    image: mysql:8.0
    container_name: ltcrmprospectsdb
    restart: unless-stopped
    environment:
      MYSQL_DATABASE: ltcrmprospectsdb
      MYSQL_ROOT_PASSWORD: password
      SERVICE_TAGS: dev
      SERVICE_NAME: mysql
    volumes:
      - ltcrmprospectsdb:/var/lib/mysql
    ports:
      - 8083:3306
    networks:
      - ltcrmprospects


networks:
    ltcrmprospects:
        driver: bridge
volumes:
    ltcrmprospectsdb:
        driver: local